USB keyboard and mouse don't work

Bug #1172852 reported by Michael Reid on 2013-04-25
70
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Karol Gazdowski

Bug Description

I am installing Ubuntu 13.04 from a live USB key. I downloaded the stable amd64 iso of Ubuntu 13.04 after it was released today. It runs beautifully from a live USB key. However, after installing the OS to my hard drive and rebooting, the keyboard and mouse both fail to work. They are standard USB input devices (US layout) which have worked for years on other versions of Red Hat and Ubuntu. They work fine with the live USB version of the OS.

I can't even log into the computer to collect bug data. I've tried reinstalling several times, changing the install options. Installing fresh on this computer, keeping only my old /home partition, and disallowing the installation of third-party software still produces the error.

The same system has run several previous versions of Ubuntu without problems.

Thanks for your help.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1172852/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Michael Reid (mareid) on 2013-04-25
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1172852

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Michael Reid (mareid) wrote :

I'm afraid that, due to the nature of the bug, I can't even log in, nevermind open a terminal. The computer is totally unresponsive to keyboard or mouse input. Changing keyboards and mice, trying different ports, and reinstalling from scratch doesn't help.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

On Fri, Apr 26, 2013 at 5:14 AM, Michael Reid <email address hidden> wrote:
> I'm afraid that, due to the nature of the bug, I can't even log in,
> nevermind open a terminal. The computer is totally unresponsive to
> keyboard or mouse input. Changing keyboards and mice, trying different
> ports, and reinstalling from scratch doesn't help.

Could you try to login via ssh, then collect the log('dmesg', 'lsusb -v')?

Thanks,
--
Ming Lei

Michael Reid (mareid) wrote :

I can't ssh into the affected machine. Although it boots to the login screen, it does not connect to the network. When I installed from the live USB, I had it connected to the network, but the computer does not accept ssh connections after installing Ubuntu to the HDD. There's essentially nothing I can do at the software level to diagnose the problem. Reinstalling seems to be the only option, but the result is always the same--no functioning input devices.

Joseph Salisbury (jsalisbury) wrote :

Does this issue also happen if you boot into recovery mode?

Changed in linux (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
tags: added: raring
tags: added: kernel-da-key
Michael Reid (mareid) wrote :

Yes, this is an issue in recovery mode, too. If I hold down Shift while booting, I get the grub menu, in which the keyboard works. I can select recovery mode. However, as soon as it gets to the main menu in recovery mode (the one rendered in ASCII mode, not in X), the keyboard stops working. I have found someone else with the same problem:

http://ubuntuforums.org/showthread.php?t=2140007

I have now had to downgrade to Ubuntu 12.04 so that I can continue working with my computer (this is my work machine).

It is very mysterious to me that this issue does not occur when running from a live USB stick, but does when running from the HDD. It's almost like the presence of the USB key itself prevents the issue with USB input devices from occurring.

Thank you for continuing to explore this issue.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Hello,

I am also affected by the same bug.
But since I had upgraded before the release, I am able to use my keyboard and my mouse by choosing in GRUB an older kernel (3.8.0-16).
But the versions 3.8.0-17,3.8.0-18 and 3.8.0-19 do not work.

Hope this will help to analyze this bug.

Thank you.

Ming Lei (tom-leiming) wrote :

On Tue, May 7, 2013 at 6:10 PM, Pierre.Bornancin
<email address hidden> wrote:
> Hello,
>
> I am also affected by the same bug.
> But since I had upgraded before the release, I am able to use my keyboard and my mouse by choosing in GRUB an older kernel (3.8.0-16).
> But the versions 3.8.0-17,3.8.0-18 and 3.8.0-19 do not work.
>
> Hope this will help to analyze this bug.

As far as I can think of, the bug might be caused by the new-added usb
port mechanism, and I will check these commits tomorrow.

618db2d Revert "usb: Register usb port's acpi power resources"
9256eef usb: enable usb port device's async suspend.
9dc6d52 usb: expose usb port's pm qos flags to user space
7eededb usb: add usb port auto power off mechanism
944c95b usb: add runtime pm support for usb port device
598942c usb: Register usb port's acpi power resources
cdeabe5 USB: fix sign-extension bug in the hub driver
5a25a15 USB: Set usb port's DeviceRemovable according acpi information
c5a6601 usb: Create link files between child device and usb port device.
8c5a724 usb: Add "portX/connect_type" attribute to expose usb port's
connect type
9f2f578 usb: fix compilation error and warning of
driver/usb/core/port.c on arm and blackfin
90b9f88 usb: Add driver/usb/core/(port.c,hub.h) files
3958ab9 usb/core: update power budget for SuperSpeed
945164d usb/core: consider link speed while looking at bMaxPower

Thanks,

Any news on this ? How could I help ?

Michael Reid (mareid) wrote :

I am unable to do further testing on this bug. The bug is totally fatal--I can't use my computer at all with Ubuntu 13.04 installed. I have literally no way to interface with the computer, so I can't do any more testing. As this is my work machine, I had to uninstall 13.04 and go back to 12.04.

For the debuggers, the big tip-off should be that I can use my computer just fine when I'm running from the live USB, but not at all after installing to the HDD. So, if it's a kernel problem, either the kernel changes during installation or something about the way the USB drivers are activated changes.

Perfect spawn (pspawn) wrote :

I'm also unable to do any tests. Does it help if I list my USB devices? I'm on Windows for now, but I can try getting any information I can about my USB devices or my computer.

Just for the record. I'm using a Logitech K120 keyboard and a Microsoft Comfort Mouse 3000.

Michael Reid (mareid) wrote :

I don't think the bug is device-specific. I tried it with a couple of different keyboards before giving up. I couldn't get any of them to work.

Ming Lei (tom-leiming) wrote :

Could anyone provide some log about the machine? The information about
the machine might be useful.

For example, 'apport-collect 1172852' can be done on precise, and please
state the log is collected from precise, and only for reference.

Thanks,

tags: removed: kernel-da-key
Nikolai Kristiansen (nikolaik) wrote :

I experienced this issue with a fresh install of 13.04 and resolved it by installing linux-image-extra-`uname -r` with the live-disc like described in this post on the Ubuntu Forums [0].

[0] http://ubuntuforums.org/showthread.php?t=2145897&p=12681509#post12681509

I confirm the solution given by Nikolai. It did solve my issue.
However, I was able to perform this because I had a previous functional kernel installed.
For a fresh install, it is still not possible.

leon felpz (mrleonfelpz) wrote :

EZ WORKAROUND .. for me anyways. Wanted to get 13.04 installed fresh from live cd onto my w7 machine. tried to boot into the 13.04 live cd and both keyboard and mouse --dead. tried the 12.04 live cd, 1st time keyboard works but not mouse. then after that both --dead, and keyboard wont come back on. i have 2 usb3.0 ports and said what the hell..... WORKS NOW n i dont care if they are plugged into the blue ports ill fix that later. hope this helps somebody

Andy Whitcroft (apw) wrote :

@Nikolai -- you should get the linux-image-extra image installed by default as a dependancy of linux-image-generic. Could you check if this is installed. If it is not that is likely an installer issue.

Andy Whitcroft (apw) wrote :

Could you add the output of the command 'dpkg -l | grep linux-image' please.

Nikolai Kristiansen (nikolaik) wrote :

nikolark@zelda:~$ dpkg -l | grep linux-image
rc linux-image-3.5.0-17-generic 3.5.0-17.28 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
rc linux-image-3.5.0-27-generic 3.5.0-27.46 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
ii linux-image-3.5.0-32-generic 3.5.0-32.53 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
ii linux-image-3.8.0-23-generic 3.8.0-23.34 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-3.8.0-25-generic 3.8.0-25.37 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
rc linux-image-extra-3.5.0-17-generic 3.5.0-17.28 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
ii linux-image-extra-3.5.0-32-generic 3.5.0-32.53 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-23-generic 3.8.0-23.34 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-25-generic 3.8.0-25.37 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-generic 3.8.0.25.43 amd64 Generic Linux kernel image

Nikolai Kristiansen (nikolaik) wrote :

@Pierre: Could you attach /var/log/installer/syslog and /var/lib/dpkg/status ?
I can't, because are from a different install (reinstalled with quantal and then upgraded to raring).

#ubuntu-kernel suggested it this bug might be a duplicate of https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1070427

Ger Luijten (gcjm-luijten) wrote :

I also confirm the solution given by Nikolai. Installing the linux-image-extra-3.8.0.26-generic pachage solved the USB port problem.
Hopefully my update proces description may help in further debugging.
Laptop: IBM Thinkpad T42 with Kubuntu 12.04. Distribution upgrade through Muon package manager to 12.10. No problem.
Distribution upgrade to 13.04 failed because I had to install the Fake-PAE patch because this old laptop has a Pentium-M processor.
After installing 13.04 the touchpad and keyboard worked but the USB-ports didn' t so the USB-mouse and USB-drives did not work.
After installing the suggested linux-image-extra package and a reboot the USB-ports work fine again.

huchao (westy-hu) wrote :

Same Problem here. Fresh install 13.04, can't do anything at the login screen, Keyboard, Mouse, Network(both wired and wireless) are not working. Seems some driver are missing.

My PC Spec: i5 2500K on asrock Z77 Extreme6

Everthing works fine on Live USB

Tried to install 12.10 and upgrade to 13.04, everything worked.

Roberto (roberto-fastec) wrote :

I confirm the bug and in my installation this happen today with an update that have installed 3.8.0-29.42

By the way, also the login screen resolution was not high as expected.

Before this update my kernel in 13.04 was 3.8.0-25.37

Booting with grub menu and going to advanced, I've booted into that previous image 3.8.0-25 and mouse and keyboard got back to be operational.

(My mainboard is an Asus P8P67, with the corresponding intel chipset)

Synaptic lists as available the linux-image-extra-3.8.0-29-generic and it could be possible to apply it as Nikolai does suggest, which right now I'm processing...

Yes, the linux-image-extra-3.8.0-29-generic works

Bad joke, though

Regards to all of you and thank you to Nikolai for his hints

Cor

Marco (marco-d-inf+launchpad) wrote :

I can confirm this bug. Performed a clean installation of 13.04 64 bit from a live USB key today. No working mouse or keyboard after bootup from harddisk. Everything worked (and works) fine within the live environment of the usb key.

I did an 'dpkg -l | grep linux-image before the upgrade and the output was the following one:

ii linux-image-3.8.0-19-generic 3.8.0-19.29 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-19-generic 3.8.0-19.29 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-generic 3.8.0.19.35 amd64 Generic Linux kernel image

I didn't bother to
 apt-get install linux-image-extra`uname -r`,
since it was already listed. What I did was to performan an apt-get dist-upgrade in the chrooted environment. Now mouse and keyboard do work again.

Actual 'dpkg -l | grep linux-image' shows the following output:
ii linux-image-3.8.0-19-generic 3.8.0-19.30 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-3.8.0-30-generic 3.8.0-30.44 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-19-generic 3.8.0-19.30 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-extra-3.8.0-30-generic 3.8.0-30.44 amd64 Linux kernel image for version 3.8.0 on 64 bit x86 SMP
ii linux-image-generic 3.8.0.30.48 amd64 Generic Linux kernel image

Hope that this can be of some help

Regards
Marco

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
dee bee (o1bigtenor) wrote :

I understand that this was retired by an automatic service. Pity because I just had the same issues with 12.04 and its a complete freeze - - - I think its related to EFI because when I have this its been causing difficulties with other things.

Any of the serious under the hood guys care to comment (or come up with a 'fix'!)

TIA

D

KennyTanigawa (kukupopo) wrote :

Dee Bee, can you try the following ? :
1. Suspend the PC or laptop
2. Start the PC or laptop
3. Try if you can key in anything

I have a HP Pavilion g4 laptop that I bought last year.
I've been installing few Linux distributions and had the same issue.

In the beginning I was using Ubuntu 12.04 and had no problem.
After I upgraded it to Ubuntu 13.04, I had the same issue as reported in this thread.
After googling a little, and tried some solutions provided in other threads,
nothing worked.
So I decided to suspend the PC and wake the PC up again, and I found out that I was able to
use my keyboard.

I am not sure if it will work on your case, but please give it a try.

I also noticed that when I boot and reboot a couple of times, once in a while, I am able to
use my keyboard... Very funny...

Download full text (5.8 KiB)

After upgrading to Saucy, I had the same issue:

Keyboard and mouse work in bios
Keyboard works in grub
Keyboard doesn't work in recovery mode nor do keyboard and mouse work in X

I installed linux-generic which in turn installed linux-image-extra-3.11.0-17-generic, and this fixed the issue - keyboard and mouse now work everywhere. I've can attach lspci and lsusb if these will be helpful

When booted normally, sshing in and tailing syslog showed the following on adding and removing usb keyboard and mouse

Mar 6 08:52:21 bluesun kernel: [ 356.478700] usb 3-11.3: USB disconnect, device number 12
Mar 6 08:52:22 bluesun kernel: [ 357.969978] usb 3-11.3: new low-speed USB device number 13 using xhci_hcd
Mar 6 08:52:22 bluesun mtp-probe: checking bus 3, device 13: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-11/3-11.3"
Mar 6 08:52:22 bluesun mtp-probe: bus: 3, device: 13 was not an MTP device
Mar 6 08:52:22 bluesun kernel: [ 357.990413] usb 3-11.3: New USB device found, idVendor=046d, idProduct=c05a
Mar 6 08:52:22 bluesun kernel: [ 357.990415] usb 3-11.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar 6 08:52:22 bluesun kernel: [ 357.990417] usb 3-11.3: Product: USB Optical Mouse
Mar 6 08:52:22 bluesun kernel: [ 357.990418] usb 3-11.3: Manufacturer: Logitech
Mar 6 08:52:22 bluesun kernel: [ 357.990501] usb 3-11.3: ep 0x81 - rounding interval to 64 microframes, ep desc says 80 microframes
...
Mar 6 09:25:49 bluesun kernel: [ 234.232047] usb 3-11.3: ep 0x81 - rounding interval to 64 microframes, ep desc says 80 microframes
Mar 6 09:25:49 bluesun mtp-probe: checking bus 3, device 8: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-11/3-11.3"
Mar 6 09:25:49 bluesun mtp-probe: bus: 3, device: 8 was not an MTP device
Mar 6 09:25:51 bluesun whoopsie[1612]: online
Mar 6 09:26:22 bluesun kernel: [ 267.320055] usb 3-4: USB disconnect, device number 2
Mar 6 09:26:38 bluesun kernel: [ 283.300820] usb 3-11.4: new low-speed USB device number 9 using xhci_hcd
Mar 6 09:26:38 bluesun kernel: [ 283.323223] usb 3-11.4: New USB device found, idVendor=046d, idProduct=c31c
Mar 6 09:26:38 bluesun kernel: [ 283.323231] usb 3-11.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar 6 09:26:38 bluesun kernel: [ 283.323236] usb 3-11.4: Product: USB Keyboard
Mar 6 09:26:38 bluesun kernel: [ 283.323240] usb 3-11.4: Manufacturer: Logitech
Mar 6 09:26:38 bluesun kernel: [ 283.323465] usb 3-11.4: ep 0x81 - rounding interval to 64 microframes, ep desc says 80 microframes
Mar 6 09:26:38 bluesun kernel: [ 283.323475] usb 3-11.4: ep 0x82 - rounding interval to 1024 microframes, ep desc says 2040 microframes
Mar 6 09:26:38 bluesun mtp-probe: checking bus 3, device 9: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-11/3-11.4"
Mar 6 09:26:38 bluesun mtp-probe: bus: 3, device: 9 was not an MTP device

While the following is shown with the extra modules installed:

Mar 6 10:10:26 bluesun kernel: [ 723.978837] usb 3-11.4: USB disconnect, device number 4
Mar 6 10:10:29 bluesun kernel: [ 727.007090] usb 3-11.4: new low-speed USB device number 5 using xhci_hcd
Mar 6 10:10:29 bluesun kernel: [ 727.029216] usb 3-11.4: New USB device ...

Read more...

Changed in linux (Ubuntu):
status: Expired → Confirmed

Confirmed

Changed in linux (Ubuntu):
assignee: nobody → Karol Gazdowski (karol-gazdowski)
Matthew (kdskater01) wrote :

I just wanted to chime in and say that I'm having the same issue. using Ubuntu 13.04, and 14.10. It's a shame too I was going to be celebrating my liberation from Micro$oft today =(

michael (mwinburn1) wrote :

And you wonder why so many of us want to stay with Windows.

I really don't want to have to get a degree in computer programming just to get my mouse to work after installing Ubuntu. I was all excited about trying out this brand new release of Ubuntu (14.04), but it's not worth my time.

Roman (bondar-r-a) wrote :

I love Ubuntu, but I agree with previous Michael's message that Linux is still for "chosen" users that don't mind to get their hands dirty sometimes. Currently I have this USB problem in 15.04 after updating the kernel and I am gathering all my courage to properly report a bug (with upstream kernel testing, etc.).

Ross Pert (rosspert) wrote :

Yes affects me too, 15.04

Darren (t-dron) wrote :

Problems here too. PS2 keyboard works, No usb mouse and no network assess in any version after 12. at this point an older version of mint seams to work so I am about to try the latest one.

Christoph Knabe (knabe) wrote :

Affects me too.

Lubuntu 14.04 LTS Live CD performs well with keyboard and mouse. I use a Pentium 4 desktop PC from 2003 with 512 MB RAM.

After install of Lubuntu 14.04 LTS over an old 12.04 onto hard disk my PS/2 keyboard and USB mouse are no longer recognized. Thus cannot log in when the X login dialog appears.

The hint of @Nikolai Kristiansen showed the good direction, but was not so simply realizable as in the given link. When running the Live system I cannot install any package to the hard disk. So I firstly had to try to boot from the hard disk.
I had to acquire the GRUB boot menu by holding down the SHIFT key when booting. Then I booted an older kernel linux-13.0-74-generic instead of the lastly installed linux-3.16.0-4-686-pae or linux-3.16.0-4-586. On a really fresh install I would not have it. With this kernel keyboard and mouse were functional.
When running the installed system with the older kernel from hard disk, `uname -r`did not help, as it returns the kernel version of the currently running system.

With Synaptic I searched for linux-image, but did not find anything for the kernel version 3.16.0-4 of the distribution Lubuntu 14.04. Instead I installed the newest version of 3.16, that are linux-image-3.16.0-67-generic and linux-image-extra-3.16.0-67-generic. This updated also the boot menu to include the added kernel. When booting with this kernel version, keyboard and mouse work OK. Still I have to change the boot default.

So at least now my system is working, but I am unsure, if my modifications lead to an insecure system.

Thanks to all, who tried to help.

Christoph Knabe (knabe) wrote :

In the meantime I can confirm, that my modifications as described in comment #39 of 2016-03-27 resulted in a stable Lubuntu system.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers